%%ItemTitle%%

Nevron Text Editor
Introduction
Send Feedback

Glossary Item Box

Nevron Text Editor is a modern text processor that delivers fast and robust text processing for a wide variety of text formats. The main design goal of Nevron Text Editor is to provide you with an intuitive and comprehensive text model, which is very similar to HTML, but with extensions specific to text processing associated with printed media - header and footers, columns etc.

Following are the main features of Nevron Text Editor:

  • Character Formatting
    • Font style support (Bold, Italic, Underline and Strikethrough)
    • Font name (ability to switch the font family)
    • Font size
    • Superscript / Subscript
    • Foreground Fill (color, gradient, hatch etc. fill style can be applied on all text elements)
    • Highlight Fill and Background Fill
    • Controllable visibility of special characters (page breaks, line breaks etc.)
    • Widgets – other controls can be inserted inside paragraphs
  • Paragraph Formatting
    • Line indentation – first line indent, hanging indent
    • Alignment (Left, Right, Center, Justify)
    • Line Height control
    • Right To Left language support (Arabic, Hebrew etc.)
    • Tabs – custom tab positions and tab alignment (Left, Center, Right and Decimal), tab leader styles.
    • Widow/Orphan control
  • Bullets and Numbering
    • Arabic, Roman, Alphabetic, Symbol, Cardinal, Ordinal etc. bullet numbering
    • Multi level bullets list – bullet lists can be nested in each other to produce bullets such as (2.1, 2.1.1 etc).
    • Bullet Tabs – tabs can follow the bullet list item to produce equally indented text in the paragraph
    • Counters – bullet lists can use a custom or automatically assigned bullet counter.
    • Templates – bullet lists can specify a bullet list template that governs how bullets are created and formatted.
    • Bullets can be embedded in the paragraphs or displayed next to the bullet list item content (like in HTML).
  • Tables
    • Columns - Tables columns with Fixed, Automatic and Percentage width and custom specified appearance.
    • Rows – Table rows with preferred, min, max height and custom specified appearance.
    • Row / Col Merge Cells – each table cell can be configured to span a range of cells in the table.
    • Nested Tables – tables can be nested in each other.
    • Table Borders – support for collapsed and expanded table border.
    • Ability to specify horizontal and vertical cell spacing.
  • Sections
    • Headers and Footers – ability to specify headers and footer for first, even or odd page.
    • Page Size / Orientation - page size and orientation can be specified per section.
    • Columns – multiple columns per section with controllable column spacing.
    • Column Separator – separator line between columns on the page.
    • Section Breaks – Continuous, Even Page, Odd Page, New Page section break separators.
    • Section Appearance customization.
  • Group Blocks
    Group blocks can reside in any block container and contain any other type of block. They provide a convenient way to group blocks together similarly to “div” elements in HTML.
  • Common Block Features
    The editor follows the HTML formatting model so all block elements - Paragraph, Div, Table etc. have a number of common features:
    • Margins / Padding and Border thickness.
    • Border.
    • Background Fill.
    • Preferred Width and Height - Min / Max Width and Height.
    • Paging Control– Break Before block, Break After block, Avoid Page breaks inside.
    • Floating blocks – all blocks (except table row and cell) support floating (Left / Right) and float clear mode.
  • Fields
    Support for all commonly used numeric, string and date time such as page number, page count, current date time etc.
  • Hyperlinks
    Support for hyperlinks and bookmarks.
  • Mail Merge
    Extensive support for mail merge fields, greeting lines, field mappings, merge document generation and the most popular mail merge data sources - Access databases, Excel spreadsheets and CSV text files.
  • Spell Checking
    Support for “as you type” spell checking as well as spell check suggestions. Ability to extend or modify the build in spell checker.
  • Foreign language support
    Support for BIDI (right to left) text and mixed text (Latin and Arabic). Export to PDF for text containing complex scripts.
  • Image Formats
    Support for JPEG, PNG, BMP, GIF, Animated GIF, EMF and WMF image formats. EMF and WMF image formats retain scalability when printed or exported to vector formats (PDF).
  • Text Formats
    Nevron Text currently supports the following text formats - TXT, RTF, DOCX, HTML, PDF, NTX and NTB.
  • Printing
    • printing of the current page, range of pages or the entire document.
    • printing with collation.
    • printing of multiple copies of the document or range.
  • Editing Features
    • WYSIWYG – the control is completely device resolution independent – what you get on the screen will look the same way on any device (printer, pdf etc.).
    • In place property editing - all formatting editors modify the text document in place, which allows you to quickly preview your settings.
    • Views - Normal, Print and Web view.
    • Header / Footer - in place editing for header / footer.
    • Characters formatting - font size, font style, font name, superscript, subscript etc.
    • Unlimited Undo / Redo.
    • Find / Replace – ability to specify different match options like upper/lower case, text normalization and search direction.
    • Goto – ability to jump to different document parts (page number, line number etc.).
    • Clipboard – the control supports Cut / Copy / Paste / Paste Special commands.
    • Insert Breaks – line break, page break, section break, column break.
    • Insert Image from File Insert Field Insert.
    • Hyperlink.
    • Format the current selection as bullet list.
    • Group / Ungroup paragraphs.
    • Horizontal and Vertical Ruler Bars.
    • Zoom – zoom in / out and free zoom slider.
  • Unique Features
    • Managed Text Processing Stack - Nevron Text is the World’s first text processor that uses a completely build in, managed text processing stack.
    • Performance – Nevron Text is the World’s fastest text processor and is able to process huge amounts of text. It does not perform any OS calls (which are very slow) to import / layout text and can easily handle 1000+ documents. The control is approximately five times faster than MS Word in both RTF import and layout processing speed.
    • Presentation – the control features text processing features found in desktop publishing applications like the ability to apply images, gradients, stroke to all text elements (blocks, text, tables etc.).
    • Open URL feature – the control can open URL with HTML directly, just like a browser.
    • Paging Control – the control supports page formatting instructions at every level of the document tree including tables and floating blocks. This means you can insert page breaks inside table cells or floating blocks, which is not supported by any other text processing program.
    • Widgets – you can embed every other widget found in NOV inside the text content which allows you to build HTML like interfaces. The Widgets can be persisted in text binary and xml formats (NTB and NTX), printed and exported to PDF.

©2015. All Rights Reserved.


License Agreement
See Also Send Feedback

Glossary Item Box

PLEASE READ CAREFULLY BEFORE USING THIS PRODUCT: This End-User License Agreement ("EULA") is a legal agreement between (a) you (either an individual or a single entity) and (b) Nevron Software LLC ("Nevron") that governs your use of Nevron Text Editor (“Software Product”).

BY CLICKING "I AGREE", OR BY TAKING ANY STEP TO INSTALL OR USE THE SOFTWARE PRODUCT, YOU (1) REPRESENT THAT YOU ARE OF THE LEGAL AGE OF MAJORITY IN YOUR STATE, PROVINCE JURISDICTION OF RESIDENCE AND, IF APPLICABLE, YOU ARE DULY AUTHORIZED BY YOUR EMPLOYER TO ENTER INTO THIS CONTRACT AND (2) YOU AGREE TO BE BOUND BY THE TERMS OF THIS EULA. IF YOU DO NOT ACCEPT THE EULA TERMS, DO NOT USE THE SOFTWARE PRODUCT.

  1. GRANT OF LICENSE. The Software Product includes computer software that is owned by Nevron (and may include associated media, and "online" or electronic documentation) (collectively the "Software Product"). Nevron grants you the following non-exclusive rights provided you agree to and comply with all terms and conditions of this EULA:
    1. Use of Registered Edition.
      You may use the registered version of the Software Product on your computer (or computers if the Software Product is sold to you for use on multiple computers).. You may not use the Software Product on additional computers and do not have the right to distribute the Software Product. You agree to only use the Software Product as expressly permitted herein.
    2. Free Edition
      You may use the free (unregistered) edition of the software for an unlimited time and on unlimited number of machines.
    3. Reservation of Rights.
      The Software Product is licensed, not sold, to you by Nevron. Nevron and its suppliers own all right, title and interest in and to the Software Product and reserve all rights not expressly granted to you in this EULA. You agree to refrain from any action that would diminish such rights or would call them into question.
  2. UPGRADES. To use a Software Product identified by Nevron as an upgrade, you must first be licensed for the original Software Product identified by Nevron as eligible for the upgrade. After upgrading, you may no longer use the original Software Product that formed the basis for your upgrade eligibility and the upgraded software shall be deemed the "Software Product".
  3. ADDITIONAL SOFTWARE. This EULA applies to updates or supplements to the original Software Product provided by Nevron unless Nevron provides other terms along with the update or supplement. In case of a conflict between such terms, the other terms will prevail.
  4. TRANSFER.
    1. Third Party.
      The Software Product may only be transferred to another end user as part of a transfer of the computer(s) on which it is installed. Any transfer must include all component parts, media, printed materials and this EULA. Prior to the transfer, the end user receiving the transferred product must agree to all the EULA terms. Upon transfer of your computer(s), your license is automatically terminated and you are no longer permitted to use the Software Product.
    2. Restrictions.
      You may not rent, lease or lend the Software Product or use the Software Product for commercial timesharing or bureau use. You may not sublicense, assign or transfer the license or Software Product except as expressly provided in this EULA.
  5. PROPRIETARY RIGHTS. All intellectual property rights in the Software Product and user documentation are owned by Nevron or its suppliers and are protected by law, including but not limited to copyright, trade secret, and trademark law, as well as other applicable laws and international treaty provisions. The structure, organization and code of the Software Product are the valuable trade secrets and confidential information of Nevron and its suppliers. You shall not remove any product identification, copyright notices or proprietary restrictions from the Software Product.
  6. LIMITATION ON REVERSE ENGINEERING. Except to the extent that such restriction is not permitted under applicable law, you are not permitted (and you agree not to) reverse engineer, decompile, disassemble or create derivative works of or modify the Software Product. Nothing contained herein shall be construed, expressly or implicitly, as transferring any right, license or title to you other than those explicitly granted under this EULA. Nevron reserves all rights in its intellectual property rights not expressly agreed to herein. Unauthorized copying of the Software Product or failure to comply with the restrictions in this EULA (or other breach of the license herein) will result in automatic termination of this Agreement and you agree that it will constitute immediate, irreparable harm to Nevron for which monetary damages would be an inadequate remedy, and that injunctive relief will be an appropriate remedy for such breach.
  7. TERM. This EULA is effective unless terminated or rejected. This EULA will also terminate immediately and without additional notice in the event you breach this EULA and/or fail to comply with any term or condition of this EULA.
  8. CONSENT TO USE OF DATA. You agree that Nevron and its affiliates or suppliers may collect and use statistics on your use of the Software Product in performing backup operations and technical information you provide in relation to support services related to the Software Product. Nevron and its suppliers agree not to use this information in a form that personally identifies you except to the extent necessary to provide such services.
  9. DISCLAIMER OF WARRANTIES.
    1. YOU AGREE THAT THE USE OF THE SOFTWARE PRODUCT IS AT YOUR SOLE RISK AS TO SATISFACTORY QUALITY PERFORMANCE, ACCURACY AND EFFORT. Use of the Software Product may adversely affect the operation of other software and devices. To the maximum extent permitted under applicable law, the Software Product is offered on an "AS-IS" basis and Nevron does NOT warrant that the functions contained in the Software Product will meet your requirements or that the operation of the Software Product will be uninterrupted or error free or that such errors will be corrected. Computer software is inherently subject to bugs and potential incompatibility with other computer software and hardware. You should not use the Software Product for any applications in which failure could cause any significant damage or injury to persons or tangible or intangible property.
    2. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, NEVRON AND ITS SUPPLIERS PROVIDE THE SOFTWARE PRODUCT AND THIRD PARTY SOFTWARE "AS IS" AND WITH ALL FAULTS AND WITHOUT ANY OTHER WARRANTY OF ANY KIND, AND HEREBY DISCLAIM ALL OTHER WARRANTIES AND CONDITIONS, EITHER EXPRESS, IMPLIED, OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, WARRANTIES OF TITLE AND NON-INFRINGEMENT, ANY IMPLIED WARRANTIES, DUTIES OR CONDITIONS OF MERCHANTABILITY, OF FITNESS FOR A PARTICULAR PURPOSE, AND OF LACK OF VIRUSES ALL WITH REGARD TO THE SOFTWARE PRODUCT AND THIRD PARTY SOFTWARE. NO ORAL OR WRITTEN INFORMATION OR ADVICE GIVEN BY NEVRON OR A NEVRON AUTHORIZED REPRESENTATIVE SHALL CREATE A WARRANTY. Some states/jurisdictions do not allow exclusion of implied warranties or limitations on the duration of implied warranties, so the above disclaimer may not apply to you in its entirety. To the extent applicable law requires Nevron to provide warranties, you agree that the scope and duration of such warranty shall be to the minimum extent permitted under such applicable law.
    3. IN NO EVENT DOES NEVRON PROVIDE ANY WARRANTY OR REPRESENTATIONS WITH RESPECT TO ANY THIRD PARTY HARDWARE OR SOFTWARE WITH WHICH THE SOFTWARE PRODUCT IS DESIGNED TO BE USED, AND NEVRON DISCLAIMS ALL LIABILITY WITH RESPECT TO ANY FAILURES THEREOF.
  10. LIMITATION OF LIABILITY. Notwithstanding any damages that you might incur, the entire liability of Nevron and any of its suppliers under any provision of this EULA and your exclusive remedy for all of the foregoing shall be limited to the amount actually paid by you for the Software Product. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT SHALL NEVRON OR ITS SUPPLIERS BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT, OR CONSEQUENTIAL DAMAGES WHATSOEVER (INCLUDING, BUT NOT LIMITED TO, DAMAGES FOR LOSS OF PROFITS, FOR LOSS OF DATA OR OTHER INFORMATION, FOR BUSINESS INTERRUPTION, FOR PERSONAL INJURY, FOR LOSS OF PRIVACY ARISING OUT OF OR IN ANY WAY RELATED TO THE USE OF OR INABILITY TO USE THE SOFTWARE PRODUCT, THIRD PARTY SOFTWARE AND/OR THIRD PARTY HARDWARE USED WITH THE SOFTWARE PRODUCT, OR OTHERWISE IN CONNECTION WITH ANY PROVISION OF THIS EULA), EVEN IF NEVRON OR ANY SUPPLIER HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES AND EVEN IF THE REMEDY FAILS OF ITS ESSENTIAL PURPOSE. Some states/jurisdictions do not allow the exclusion or limitation of incidental or consequential damages, so the above limitation or exclusion may not apply to you.
  11. INDEMNITY. You agree to indemnify and hold Nevron and its officers, directors, employees and licensors harmless from any claim or demand (including but not limited to reasonable legal fees) made by a third party due to or arising out of or related to your violation of the terms and conditions of this Agreement, your violation of any laws, regulations or third party rights or your negligent act, omission or willful misconduct.
  12. COMPLIANCE WITH LAWS. You shall comply with all laws and regulations of the United States and other countries ("Export Laws") to ensure that the Software Product is not (1) exported, directly or indirectly, in violation of Export Laws, or (2) used for any purpose prohibited by Export Laws, including, without limitation, nuclear, chemical, or biological weapons proliferation. You further agree that you will not use the Software Product for any purpose prohibited under applicable law.
  13. APPLICABLE LAW. This EULA is governed by the laws of the state of Delaware.
  14. ENTIRE AGREEMENT. This EULA is the entire agreement between you and Nevron relating to the Software Product and it supersedes all prior or contemporaneous oral or written communications, proposals and representations with respect to the Software Product or any other subject matter covered by this EULA. To the extent the terms of any Nevron policies or programs for support services conflict with the terms of this EULA, the terms of this EULA shall control. In the event of a conflict between the English and any non-English versions of this EULA, the English version shall govern. If any provision of this EULA is held by a court of competent jurisdiction to be contrary to law, such provision will be changed and interpreted so as to best accomplish the objectives of the original provision to the fullest extent allowed by law and the remaining provision of the EULA will remain in force and effect.

See Also

Licensing


Licensing
See Also Send Feedback

Glossary Item Box

In order to license Nevron Text Editor you need to do the following:

1. Go to http://docs.nevron.com/ and login to your account.

2. Purchase a license from the Order page.

3. Send your machine id to sales@nevron.com and we'll respond with a license key.

You can obtain you machine from the Help About dialog (accessible from the Help / About menu item). When you open the dialog simply click on the Copy Machine Id button at the bottom.

After you receive a registration code go to Help About dialog and perform these steps:

1. Press the Add... key.

2. Enter (or copy / paste) the license key you obtained from Nevron.

3. Press OK.

4. Press Close.

That's it you have successfully applied the license key to the text editor.

See Also

License Agreement


Main Window

Glossary Item Box

The main window of Nevron Text Editor looks like that:

The following sections describe the different components of the editor.

Title Bar

Show Title Bar

Every graphics user interface (Windows, Mac etc.) has a title bar. The title bar usually displays information such as the name of the program, and the file that is currently open. Nevron Text Editor is no exception - it displays the currently edited file and also allows you to move the editor as well as to minimize, maximize and close it.

Tasks

  • Move the Editor Window - point the mouse to the title bar. Press the left mouse window and start to move the mouse.
  • Minimize the Editor Window - point the mouse to first button on the right of the title bar and press the left mouse button to minimize the editor.
  • Maximize the Editor Window - point the mouse to second button on the right of the title bar and press the left mouse button to maximize the editor.
  • Close the Editor Window - point the mouse to right most button on the right of the title bar and press the left mouse button to close the editor window. If you have modified the currently edited document then the control will ask you.

Show Menu Bar

The menu bar is positioned below the title bar and allows you to perform different operations on the currently edited document as well as to load, save and create new documents. The commands in the menu bar are organized in groups, depending on the operation they perform. The following list describes shortly the operations present in each group of commands:

  • File - groups together commands relevant to opening, saving, creating and printing documents.
  • Edit - groups together commands relevant to editing history (undo / redo), clipboard (cut, copy, paste), finding and replacing text as well as text navigation (go to).
  • Insert - groups together commands relevant at inserting new content in the document, such as current date / time, barcodes, fields, hyperlinks, breaks etc.
  • View - groups together commands that control the layout of the document (normal, paged, web) as well as the visibility of the horizontal and vertical rulers.
  • Format - groups together commands that allow you to change the formatting applied on characters, paragraphs, bullets, groups and sections.
  • Table - groups together commands that allow you to work with tables like insert, modify and delete tables, merge cells etc.

Show Command Bar

Following the menu bar is the command bar. It consists of a number of toolbars that group together tasks related to file operations, editing, formatting and tables in a way similar to the one in the menu bar. The difference is that the toolbars allow you invoke commands faster by simply pressing the left mouse button over the toolbar button. The following list describes the toolbars present in the command bar:

  • Standard

    This toolbar provides access to the most commonly used commands such as creating a new file, saving the current document, and printing the current document, along with cut, copy and paste functions.

  • View

    Contains commands relevant to the document layout.

  • Format

    This toolbar provides quick access to commonly used text formatting functions. These include the ability to choose the current font, font size and whether the current (or selected) paragraph is centered, justified left or justified right. It also provides quick access to font style modification and decoration commands like bold, italics and underlining, strike trough and underline.

  • Block

    This toolbar provides commands specific to block flow, margins, padding and appearance (fill and border).

  • Table

    The table toolbar provides commands that allow you insert, delete and modify tables.

  • Mail Merge

    Provides quick access to mail merge commands, such as select recipients, field mapping, greetings etc.

Show Horizontal Ruler

The horizontal ruler is used to quickly modify commonly modified paragraphs properties. These include the first line indent, hanging indent, left and right margins as well as tab stops. The following image shows how the horizontal ruler looks when the currently edited paragraph contains a tab stop:

Tasks

  • Adding / Editing explicit tab stops.
    1. Select the paragraph(s) where you want to set the tab.
    2. Double click with the left mouse button on the horizontal ruler.

    A tab stop will appear where you clicked on the ruler. If you wish to change the tab style or delete it you can right click on the tab stop.

  • Setting First Line Indent and Hanging Indent
    1. Select the paragraph(s) where you want to modify the first line indent or hanging indent.
    2. Press the mouse over the first line indent or hanging indent gripper.
    3. Move the mouse to the desired position.
  • Setting Left and Right Margins
    1. Select the paragraph(s) where you want to modify the left and right margins.
    2. Press the mouse over the left of right margin indent gripper.
    3. Move the mouse to the desired position.

Show Vertical Ruler

The vertical ruler in Nevron Text Editor allows you to select individual paragraphs, table rows and group blocks.

Tasks

  • Single Select.
    1. Click on the block(s) projection on the vertical ruler you want to select.
  • Multiple Select.
    1. Press the control key.
    2. Click on the block(s) projection on the vertical ruler you want to select.

Show Status Bar

The status bar stands at the bottom of the main window. It contains information regarding the current page, column, line as well as a quick zoom slider.


Supported File Formats

Glossary Item Box

Nevron Text Editor currently supports the following text formats - TXT, RTF, DOCX, HTML, PDF, NTX and NTB. The following table summarizes the features supported for those formats:
Text Format | Import | Export
TXT Support for importing of plain text encoded in Unicode (UTF8, UTF16 and UTF32), single byte encodings (ANSI, Western European, Arabic, Cyrillic etc.) and multi byte encodings (CJK - Big5, ShiftJIS, Johab etc.)

Support for exporting of plain text to Unicode, single byte encodings and multi byte encodings.

Saving in this format will lose all visual formatting information and will preserve only text.

HTML

Nevron HTML importer supports the following features:

  • HTML
    • Parsing support for all HTML versions (HTML 4.0, 5.0, XHTML, etc.)
    • Automatic encoding detection – supports all Unicode encodings and most of the ASCII encodings
    • Automatic expansion of character references (“<”, “>”, etc.)
    • Malformed HTML support – the included HTML tag soup parser deals with not-closed HTML elements, incorrect tag nesting and so on
    • Support for many deprecated and obsolete HTML tags and attributes to ensure compatibility with old HTML documents (e.g. the font tag, the “bgcolor” attribute, the “text” attribute, etc).
    • Full support for embedded images in the “src” attribute of the img tag - both base64 and percent encoding are supported
  • CSS
    • Inline styles - styles in the style attribute of an element, for example <p style="...">
    • Embedded style sheets - styles in a <style> element, for example <style type="text/css"> p {color:red;} </style>
    • External style sheets - css files referenced in the HTML document through a <link> element, for example <link rel="stylesheet" type="text/css" href="mystyle.css" />
    • Support for all CSS 2.1 selectors and most of the CSS 3 selectors
    • Support for most of the CSS 3 DOM properties (including rounded borders)
    • Support for the CSS @import rule
    • Support for the CSS @media rule and media declarations (in <link> and <style> tags), but currently only the styles defined for the screen media (including styles with no media specified, as they are valid for all media types) are taken into account
    • Full support for all CSS length measurement units and automatic unit conversions when necessary
    • Full support for embedded images through Data URIs - both base64 and percent encoding are supported

Nevron HTML exporter supports the following features:

  • HTML
    • Exports Nevron rich text documents to valid, well-formed HTML 5, which conforms to the XHTML strict standard
    • Outputs human readable HTML - the exported document is nicely formatted with indentation and new lines when necessary
    • Styling is separated from content by using CSS as HTML 5 requires
    • Support for embedding images in the “src” attribute of the img tag, which makes it possible the resulting HTML document to be exported to a single file
  • CSS
    • All styling information is exported to CSS classes, keeping their number as small as possible by combining classes that are met in the same set of elements
    • If an image is used more than once in the document, it is exported to CSS thus avoiding multiple embedding of the same image, which preserves the size of the output file small

Saving in this format may lose information when you use features not present in HTML.

RTF

Nevron RTF importer recognizes 700+ rtf tags and fully supports the following features:

  • Character formatting - font, font size, superscript, subscript, bold, italic, underline etc
  • Raster and metafile image import - (PNG, JPEG, BMP, WMF and EMF) formats.
  • Paragraph formatting - alignment, indentation, spacing, paging control, line height, tabs etc.
  • Tables - support for tables, table position, nested tables and tables with merged cells
  • Bullets and numbering - support for multilevel bullets, counters etc.
  • Sections - multiple sections, section breaks, header/footers and page formatting
  • Document Information - author, subject etc.
  • Styles - support for importing of text documents formatted with styles (character and paragraph styles)
  • Fields - support for all common numeric, date time and string fields
  • Encodings - support for Unicode encoded rtf as well as all other RTF supported encodings
  • Appearance - support for paragraphs, table, table cell and page shading and border import

Nevron RTF exporter supports all the options supported by the importer.

Saving in this format may lose information when you use features not present in Word / RTF.

DOCX

Nevron DOCX importer provides full support for most of the features of Microsoft Word Office Open XML file format used as a primary file format in Microsoft Word 2007 and above. This includes all features supported by the RTF importer mentioned above plus:

  • Table styles - full support for all predefined table styles introduced in Microsoft Word 2007
  • Mail Merge - support for all mail merge data fields, greeting lines, field mappings and the most popular mail merge data sources (Access databases, Excel spreadsheets and CSV text files)

Nevron DOCX exporter supports all features supported by the importer.

Saving in this format may lose information when you use features not present in Word / DOCX.

PDF | Not supported. | Nevron Text supports WYSIWYG export to PDF directly.
NTX | Supports import for all the features of the control in XML format. | Supports export for all the features of the control in XML format.
NTB | Supports import for all the features of the control in binary format. | Supports export for all the features of the control in binary format.


Overview
See Also Send Feedback
UI > Editors > Overview

Glossary Item Box

Nevron Text Editor uses a number of editors that allow you to change the properties of the currently edited text element. Those editors share a number of common features:

  • Reusability - editors are build by embedding other editors inside them. Features that are shared by a number of elements - for example block properties like margins, padding and border thickness can be applied on paragraphs, tables, group blocks etc. have a single editor which is then embedded in other editors. This allows you to quickly learn how to modify the contents of the text document as most editors are shared for common elements.
  • Instant Update - all editors will instantly modify the edited text element. This allows you to quickly preview the document you're working on.
  • Forgiveness - all editors have OK / Cancel buttons. When you press OK the changes you introduced by the editor will be accepted, when you press Cancel the change you made to the document will be reverted.

See Also

Common Block Editors Overview


Page Editor
UI > Editors > Page Editor

Glossary Item Box

The page editor is used to edit the page related properties of the currently edited section. You show the section page editor from the "File / Page" menu item. It consists of the following tabs:

Show Appearance

The appearance tab allows to you to control the appearance of pages produced by the current section:

Page Border - shows the Border Editor that allows you to edit the border applied around the page content.

The border thickness is controlled from the block properties.

Page Border Surrounds Footer - controls whether the page footer is considered a part of the content or not. When checked the footer is considered as part of the page content and the border surrounds it.

Page Border Surrounds Header - controls whether the page header is considered a part of the content or not. When checked the header is considered as part of the page content and the border surrounds it.

Page Fill - shows the Fill Editor that allows you to edit the fill applied below the page border area.

Show Block

The block tab allows you to edit the block related properties (margins, padding and border thickness):

Page Border Thickness - controls the left, top, right and bottom thickness of the page border.

Page Margins - controls the left, top, right and bottom page margins. Page margins controls the distance from the paper edge to the page border.

Page Padding - controls the left, top, right and bottom page padding. Page padding controls the distance from the page border to the text content.

Show Content

The content tab allows you to edit how content is generated for the particular page.

Different First Header and Footer - when checked the page header and footer will be different depending on whether this is the first page of the section or not.

Different Left Right Headers and Footers - when checked the page header and footer will be different depending on whether this is a left or right page.

Footer Offset - controls the offset of the footer from the page content or margin area.

Header Offset - controls the offset of the header from the page content or margin area.

Max Footer Percent - controls the maximum percent the footer can occupy from the page content.

Max Header Percent - controls the maximum percent the header can occupy from the page content.

Show Size

The size tab allows you to choose the paper size and orientation:

Page Orientation - controls the page orientation. You can choose from "Portrait" and "Landscape".

Kind - controls the paper kind. The combo box is populated with the mose common paper size formats A4, Letter, Page etc. If the format you want is not specified you can select "Custom" and type the page size you want in the Width and Height boxes.

Width - specifies a custom page width in case the paper kind is "Custom".

Height - specifies a custom page height in case the paper kind is "Custom".


Border Editor
See Also Send Feedback
UI > Editors > Border Editor

Glossary Item Box

Each block (paragraph, table, table cell etc.) can have border with controllable thickness, filling and shape. The border model generally follow the W3C CSS Borders recommendation, with some extensions. Each border consists of a two components - border wall (geometry) and border appearance (filling, stroke for the whole border or per individual wall or corner.). The border editor is embedded as part of all block editors.

Show Border Appearance

This tab allows you to specify appearance options for the entire border, which can be overriden per border side or corner.

Fill - controls the filling of the border.

Inner Stroke - controls the stroke applied on the inner side of the border.

Outer Stroke - controls the stroke applied on the outer side of the border.

Middle Stroke - controls the stroke applied on the middle of the border.

Show Border Behavior

This tab allows you to modify some aspects of the border painting and behavior:

Background Outline - controls where the background starts to paint. Possible options are:

  • Outer - the background is painted from the outer edge of the border
  • Inner - the background is painted from the inner edge of the border

Hit Test Outline - controls how to treat the border for selection / hit test purposes.

  • Outer - the border is considered part of the object it is attached to.
  • Inner - the border is not considered part of the object it is attached to.

Show Border Corners

This tab allows you to control the filling, outline and rounding of each type of border corner.

Show Border Sides

This tab allows you to control the filling, inner,m middle and outer strokes used by the border sides. The setting you specify per side take priority over the settings you've specified for the entire border on the "Appearance" tab.

See Also

Fill Editor
Stroke Editor


Fill Editor
UI > Editors > Fill Editor

Glossary Item Box

Each element in Nevron Text Editor can be filled with a color, gradient or image. This is controlled from the fill editor Type combo box. The following sections describe the possible fill options.

Show None

In this filling mode fill is not applied:

Respectively there are no options and the preview on the right shows that the filling produces no output.

Show Color Fill

The color fill is the most commonly used fill type.

When you select this filling option the editor allows you to enter the color in different ways - Web Safe, Named or Custom (where you can specify explicit RGB or HSB values).

Show Stock Gradient

The stock gradient fill allows you to create a type of gradient fill based on start and end color:

Begin Color - allows you to choose the begin color of the gradient

End Color - allows you to choose the end color of the gradient

Style - controls the style of the gradient.

Variant - controls the variant of the gradient.

Show Linear Gradient

The linear gradient allows you to create a type of gradient fill based on an arbitrary number of colors. Each color is assigned a position value which ranges from 0 to 1. The pair of color and position is called a gradient stop.

Add Gradient Stop - creates a new gradient stop.

Delete Gradient Stop - deletes a gradient stop.

Color - allows you to change the color of the currently edited tab stop.

Position - allows you to change the position of the current tab stop.

Angle - controls the orientation of the gradient.

Mapping - allows you to specify how the gradient is mapped on the object.

Show Radial Gradient

Similarly to the linear gradient, the radial gradient is defined by a set of gradient stops, each one comprised of a color and a position value. The gradient stops are placed along lines that radiate from a single point (focus point) towards a circle.

Add Gradient Stop - creates a new gradient stop.

Delete Gradient Stop - deletes a gradient stop.

Color - allows you to change the color of the currently edited tab stop.

Focus Factor X - controls the focus factor X.

Focur Factor Y - controls the focus factor Y.

Center X - controls the X position of the focus point.

Center Y - controls the Y position of the focus point.

Angle - controls the orientation of the gradient.

Mapping - allows you to specify how the gradient is mapped on the object.

Show Advanced Gradient

The advanced gradient is comprised of a background color and a set of 2D color-emitting points (or sources). The gradient is produced by blending the colors of the sources, according to their location, intensity and shape.

Select Predefined Advanced Gradient - allows you to select a predefined advanced gradient.

Background Color - controls the background color of the gradient.

Angle - controls the orientation of the gradient.

Color - allows you to change the color of the currently edited tab stop.

Intensity - controls the intensity of the currently selected point.

Position X - controls the relative X position of the current point.

Position Y - controls the relative Y position of the current point.

Shape - controls the shape of the currently selected point.

Mapping - allows you to specify how the gradient is mapped on the object.

Show Hatch

The hatch fills the interior of the target shape with a hatch pattern. The control supports 53 predefined hatch patterns based on raster images with size 8x8 pixels. To create a hatch fill, apart from the hatch style, you have to specify the background and foreground colors.

Texture Mapping - controls how the hatch is mapped on the shape.

Background Color - controls the hatch background fill.

Foreground Color - controls the hatch foreground fill.

Show Image

The image fill fills the interior of the target shape with a raster image.

Texture Mapping - controls how the image is mapped on the shape.

Browse for image - allows you to pick an image from the disk.

Enter image URI- allows you to pick an image from URI.

Line or Embed - specifies whether the document should embed the image or link to it.

Enable Frame Animation - some image formats support animation. When Enable Frame Animation is checked the image will be animated when displayed by the document.


Stroke Editor
UI > Editors > Stroke Editor

Glossary Item Box

The stroke editor is used to control the stroke applied on text and other elements.

Color - controls the color of the stroke.

Width - controls the width the stroke.

Dash Style - controls the style of the pattern.

Dash Cap - controls the cap of the dash lines.

End Cap - controls the end cap of the line.

Line Join - controls the joins of the line.

Miter Limit - controls the miter limit.

Start Cap - controls the start cap of the line.


Paragraph Editor
UI > Editors > Paragraph Editor

Glossary Item Box

The paragraph editor allows you to modify the properties of the currently selected paragraph. Those properties are divided into several tabs for faster access.

Show Appearance

For more information check out the Appearance Editor topic.

Show Block

For more information check out the Block Editor topic.

Show Layout

For more information check out the Layout Editor topic.

Show Paragraph

This tab page controls settings related to paragraph line layout and direction.

First Line Indent - controls the indent applied on the first line in the paragraph.

Hanging Indent - controls the indent applied on the lines of the paragraph except the first line.

Horizontal Alignment - controls the horizontal line alignment of the paragraph - the options are:

  • Left - aligns the text to the left.
  • Center - centers the text.
  • Right - aligns the text to the right.
  • Justify - stretches the lines so that each line has equal width (like in newspapers and magazines).

Line Height - controls the height of the line in case the line height mode is set to "Exactly" or "At least".

Line Height Factor - controls the height of the line in case the line height mode is to "Multiple".

Line Height Mode - controls how the height of lines in the paragraph is computed - the options are:

At Least - the line height is computed to be equal to the maximum font size that appears on that line, but bigger than the value specified by Line Height.

Exactly - the line height is exactly the value specified by Line Height, regardless of the height of text fragments that appear on the line.

Multiple - the line height is specified as a multiple of the maximum font size that appears on that line and the value of Line Height Factor.

Paragraph Direction - specifies the BIDI direction of the paragraph. The options are:

  • Left to Right - the paragraph has left to right writing direction.
  • Right To Left- the paragraph has right to left writing direction..
  • Automatic - the writing direction of the paragraph is determined automatically based on the text that appears inside the paragraph. This is the default setting.

Show Size

For more information check out Size Editor.

Show Tabs

The tabs page allows you to edit the tab stops that appear in the paragraph:

Default Tab Width - specifies the width of the tabs when there are no explicitly specified tab stops.

Individual tabs are specified by adding new tabs to the tab stop collection. Each tab has the following settings:

Alignment - specifies the alignment of the tab. Possible settings are:

  • Left - text extends to the right from the tab stop.
  • Center - text is centered at the tab stop.
  • Right - text extends to the left from the tab stop until the tab's space is filled, and then the text extends to the right.
  • Decimal - text before the decimal point extends to the left, and text after the decimal point extends to the right.

Leader Style - specifies the leader style of the tab. Possible settings are:

  • None - no leader
  • Dots - dots leader
  • Middle Dots - middle dots leader
  • Hyphens - hyphens leader
  • Underline - underline leader
  • Thick Line - thick line leader
  • Equal Signs - equal signs leader


Table Editor
UI > Editors > Table Editor

Glossary Item Box

The table editor consists of the common block editors, complemented with the table editor which allows you to edit proeprties specific to the table.

Show Appearance

For more information check out the Appearance Editor topic.

Show Block

For more information check out the Block Editor topic.

Show Layout

For more information check out the Layout Editor topic.

Show Size

For more information check out the Size Editor

Show Table

The table editor allows you to control the cell spacing (also known as border mode):

Allow Spacing Between Cells - when checked the table will introduce additional horizontal and vertical spacing between individual table cells.

Table Cell Horizontal Spacing - controls the horizontal spacing of individual table cells.

Table Vertical Spacing - controls the vertical spacing of individual table cells.


Table Cell Editor
UI > Editors > Table Cell Editor

Glossary Item Box

The table cell editor consists of the common block editors, complemented with the table cell editor, which allows you to edit properties specific to the table cell.

Show Appearance

For more information check out the Appearance Editor topic.

Show Block

For more information check out the Block Editor topic.

Show Size

For more information check out the Size Editor

Show Cell

Col Span - controls how many columns the cells covers.

Row Span - controls how many rows the cells covers.


Group Block Editor
UI > Editors > Group Block Editor

Glossary Item Box

The group block editor consists of the common block editors.

Show Appearance

For more information check out the Appearance Editor topic.

Show Block

For more information check out the Block Editor topic.

Show Layout

For more information check out the Layout Editor topic.

Show Size

For more information check out the Size Editor


Bullet List Editor
UI > Editors > Bullet List Editor

Glossary Item Box

The table editor consists of the common block editors, complemented with the bullet list editor, which allows you to edit properties specific to bullet lists.

Show Appearance

For more information check out the Appearance Editor topic.

Show Block

For more information check out the Block Editor topic.

Show Bullet List

Bullet List Template Name - the bullet list template name allows you to specify a bullet list template name, which is different from the predefined templates.

Bullet List Template Type - the bullet list template type allows you to specify a bullet list template from the list of the stock templates.

Counter Name - the name of the counter associated with the bullet list. If empty the bullet list will use its own counter.

Embed Bullets In Paragraphs - whether to embed bullets in paragraphs.

Show Layout

For more information check out the Layout Editor topic.

Show Size

For more information check out the Size Editor


Bullet List Item Editor
UI > Editors > Bullet List Item Editor

Glossary Item Box

The bullet list item editor consists of the common block editors, complemented with the bullet list item editor, which allows you to edit properties specific to bullet list items.

Show Appearance

For more information check out the Appearance Editor topic.

Show Block

For more information check out the Block Editor topic.

Show Bullet List Item

The bullet list item editor controls settings specific to bullet list items:

Bullet List Template Name - the bullet list template name allows you to specify a bullet list template name, which is different from the predefined templates.

Bullet List Template Type - the bullet list template type allows you to specify a bullet list template from the list of the stock templates.

Inherit Bullet Style From Template

FontName - whether to inherit the font name from the bullet list template.

FontStyle - whether to inherit the font style from the bullet list template.

FontSize - whether to inherit the font size from the bullet list template.

BackgroundFill - whether to inherit the background fill from the bullet list template.

Fill - whether to inherit the fill from the bullet list template.

Show Layout

For more information check out the Layout Editor topic.

Show Size

For more information check out the Size Editor


Common Block Editors
See Also Send Feedback
UI > Editors > Common Block Editors > Common Block Editors

Glossary Item Box

The paragraph, table, group block, bullet list and bullet list items share a number of common editors. They are described in this topics under this book.

See Also

Block Editor
Layout Editor


Block Editor
UI > Editors > Common Block Editors > Block Editor

Glossary Item Box

Controls the block border, margins and padding areas:

Border Thickness - controls the thickness of the left, top, right and bottom border sides.

Margins - controls of the left, top, right and bottom margin.

Padding - controls of the left, top, right and bottom padding.

Space After Auto - applies automatic bottom margin of 12pt. (appears only on paragraph editors)

Space Before Auto - applies automatic top margin of 12pt. (appears only on paragraph editors)


Layout Editor
UI > Editors > Common Block Editors > Layout Editor

Glossary Item Box

The layout page controls how the blocks are positioned. There are three sub tab pages on this page:

Paging

This page controls how the block is positioned when documented is layout in paged mode (for example when printing or exporting to pdf).

Avoid Page Breaks Inside - controls whether the blcok will allow page breaks to split its content. When checked the block will always try to position itself in such a way that it does not span 2 pages if possible.

Page Break After - controls whether the block will insert a page break after its contents.

Page Break Before - controls whether the block will insert a page break before it.

Widow Orphan Control - controls whether the block will allow a single line from its content to reside on a separate page. A block ending line that falls at the beginning of the next page or column is called a widow and a block first line that appears by itself at the bottom of a page/column is called an orphan. Widow and orphan lines generally decrease the readability of the document when it is paginated.

Position

This page controls the horizontal and vertical block position in the text flow.

Allow Anchored Descendant Blocks - whether descendant blocks with anchor type "Ancestor" will be anchored to this block.

Horizontal Anchor - controls how the block horizontal position is computed. There are three options:

  • Flow - the block will have normal flow position.

  • Page - the block will be positioned horizontally relative to the current page if the current text layout is paged. Otherwise the "Page" anchor is treated like "Flow".

  • Ancestor - the block will be positioned relatively to the first parent block that has "Allow Anchored Descendant Blocks" set to true, or the section containing the block in the absence of such block. In this case the OffsetX setting controls the offset from the ancestor block

Horizontal Block Alignment - controls how the block will be aligned horizontally relative to its anchor range. There are three options:

  • Left - the block is aligned to the left of the parent anchor horizontal range.
  • Center - the block is aligned to the center of the parent anchor horizontal range.
  • Right - the block is aligned to the right of the parent anchor horizontal range.

Vertical Anchor - Similarly to the horizontal anchor the vertical anchor controls how the paragrph y position is computed.

  • Flow - the block will have normal flow position. This means that it will be positioned after the previous block in the content that also has Flow vertical anchor.

  • Page - the block will be positioned vertically relative to the current page if the current text layout is paged. Otherwise the "Page" anchor is treated like "Flow".

  • Ancestor - the block will be positioned relatively to the first parent block that has "Allow Anchored Descendant Blocks" set to true, or the section containing the block in the absence of such block. In this case the OffsetY setting controls the offset from the ancestor block

Vertical Block Alignment - controls how the block will be aligned vertically relative to its anchor range. There are three options:

  • Top - the block is aligned to the top of the parent anchor vertical range.
  • Center - the block is aligned to the center of the parent anchor vertical range.
  • Bottom - the block is aligned to the bottom of the parent anchor vertical range.
Vertical block alignment is not regarded when the "Vertical Anchor" is set to "Flow".

X Offset - controls the x offset of the block from the horizontal anchor range.

Y Offset - controls the y offset of the block from the vertical anchor range.

Wrapping

This page controls whether the block will generate an obstacle for other block's content.

Allow Overlap - whether the generated obstacle will allow other obstacles to overlap it.

Clear Mode - whether the block will choose a location to generate the obstacle which is clear from other obstacles.

Wrap Mode - controls how text will wrap around the generated obstacle:

  • None - the block does not use wrapping
  • Before -t he block allows inline content to flow only before its left edge. The block is removed from the flow.
  • After - the block allows inline content to flow only after its right edge. The block is removed from the flow.
  • Parallel - the block allows inline content to flow before its left edge and after its right edge. The block is removed from the flow.
  • Through - the block allows inline content to flow inside its area. The block is removed from the flow.


Size Editor
UI > Editors > Common Block Editors > Size Editor

Glossary Item Box

The size editor page controls the block preferred, minimum and maximum sizes.

Max

Height - when checked allows you to specify maximum height for the block.

Width - when checked allows you to specify maximum width for the block.

Min

Height - when checked allows you to specify minimum height for the block.

Width - when checked allows you to specify minimum width for the block.

Preferred

Height - when checked allows you to specify preferred height for the block.

Width - when checked allows you to specify preferred width for the block.

All sizes can be specified either as absolute (dips) or as relative values (percentages). In the case of percentages the respective size is computed as percentage of the parent block computed width or height.


Appearance Editor
UI > Editors > Common Block Editors > Appearance Editor

Glossary Item Box

The appearance section allows you to control the border and filling applied on the paragraph:

For mode information check out the Border Editor and Fill Editor topics.


Standard Toolbar
UI > Toolbars > Standard Toolbar

Glossary Item Box

This toolbar provides access to the most commonly used commands such as creating a new file, saving the current document, and printing the current document, along with cut, copy and paste functions:

- Creates a new blank document.

- Opens the file open dialog, that allows you to load a new document.

- Opens a URL input dialog that allows you to type a URL. The HTML content of this URL is loaded and you can start to edit it.

- Saves the currently edited document.

- Cuts the currently selected text and places it to the clipboard.

- Copies the currently selected text to the clipboard.

- Pastes the content of the clipboard to the current location of the caret. If the selection is non empty the current selection is replaced with text contained in the clipboard.

- Undoes the last operation

- Redoes the last operation

- Toggles spell check mode. In spell check mode all misspelled words are underlined.

- Shows the find dialog

- Toggles special marks visibility (paragraph end, section break etc.).

- Toggles current section body edit.

- Toggles edit of header.

- Toggles edit of footer.


Table Toolbar
UI > Toolbars > Table Toolbar

Glossary Item Box

The table toolbar provides commands that allow you insert, delete and modify tables.

- inserts a new table at the current cursor position. If there is selected text it is converted to a table.

- deletes the currently edited text.

- inserts a row below the currently edited row of the table.

- inserts a row above the currently edited row of the table.

- deletes the currently edited row of the table.

- inserts a column to the left of the currently edited table column.

- inserts a column to the right of the currently edited table column.

- deletes the currently edited table column.

- increases the column span of the currently edited table cell.

- decreases the column span of the currently edited table cell.

- increases the row span of the currently edited table cell.

- decreases the row span of the currently edited table cell.


View Toolbar
UI > Toolbars > View Toolbar

Glossary Item Box

The view toolbar contains commands relevant to the document layout and zoom factor:

- toggles normal document view

- toggles print document view

- toggles web document view

- zooms in the document

- zooms out the document

- toggles the visibility of the horizontal ruler

- toggles the visibility of the vertical ruler


Block Toolbar
UI > Toolbars > Block Toolbar

Glossary Item Box

This toolbar provides commands specific to block flow, margins, padding and appearance (fill and border).

- makes the current block to use normal flow

- makes the current block to be left floating.

- makes the current block to be right floating.

- increases the right margin

- decreases the right margin

- increases the top margin

- decreases the top margin

- increases the right margin

- decreases the right margin

- shows the Fill Editor that allows you to edit the background fill of the currently edited block.

- allows you to edit the border around the currently edited block.


Format Toolbar
UI > Toolbars > Format Toolbar

Glossary Item Box

The format toolbar provides quick access to commonly used text formatting functions.

Font Combo - controls the font family.

Font Size - controls the font size.

- makes the currently selected text bold.

- makes the currently selected text italic.

- underlines the currently selected text.

- makes the currently selected text strikethrough.

- makes the currently selected text superscript.

- makes the currently selected text subscript.

- left aligns the currently selected text.

- centers the currently selected text.

- right aligns the currently selected text.

- justifies the currently selected text.

Line Spacing Combo - controls the spacing between lines.

- groups together the currently selected blocks.

- ungroups the currently selected blocks.

- ungroup the currently selected blocks.

- applies decimal bullets to the currently selected text.

- applies lower alpha bullets to the currently selected text.

- - applies roman bullets to the currently selected text.

- - clear bullets from the currently selected text.

- shows the bullets and numbering editor that allows you to pick a bullet style from the list of predefined bullet styles.

- show the text foreground Fill Editor.

- show the text Stroke Editor.

- show the Fill Editor allowing you to control the filling applied on the text background.

- shows the Fill Editor allowing you to control the highlight filling applied on the text.


Mail Merge Toolbar
UI > Toolbars > Mail Merge Toolbar

Glossary Item Box

Provides quick access to mail merge commands, such as select recipients, field mapping, greetings etc.

- shows the "select data source wizard".

- shows the match fields dialog.

- toggles highlighting for the merge fields in the document.

- inserts a greeting line

- inserts a merge field from the list of column names present in the data source.

- enters the editor in preview mode.

- moves to the first record in the data source.

- moves to the previous record in the data source.

- moves to the next record in the data source.

- moves to the last record in the data source.


Overview
UI > Dialogs > Overview

Glossary Item Box

In Nevron Text Editor dialogs are different than editors as they do not immediately alter the text document. Each dialog has OK / Cancel buttons that allow you to either commit or cancel the operation performed by the dialog.


Insert Break Dialog
UI > Dialogs > Insert Break Dialog

Glossary Item Box

The "Insert Break" dialog allows you to insert a break inside the text document:

The dialog allows you to choose a break type that will be inserted in the document:

  • Line Break - inserts a line break at the current position.
  • Page Break - inserts a page break at the current position.
You can also insert page breaks by using the "Page Break Before" and "Page Break After" block properties.
  • Column Break - inserts a column break at the current position.
  • Section Next Page - inserts a new section that starts on the next page.
  • Section Continuous - inserts a new section that continues after the current section.
  • Section Odd Page - inserts a new section that starts on the next page or the next next page depending on whether the current page is an even number or not. This break type makes sure that the next section always starts on an odd page.
  • Section Even Page - inserts a new section that starts on the next page or the next next page depending on whether the current page is an odd number or not. This break type makes sure that the next section always starts on an even page.


Insert Date
UI > Dialogs > Insert Date

Glossary Item Box

The "Insert Date and Time" dialog allows you to quickly insert the current date / time at the current caret position.

Format - allows you to type the format of the date / time.

Predefined Formats - allows you to choose from a number of predefined formats.

Update Automatically - when checked the inserted time will be a field, which means that you'll be able to update its value.


Insert Time
UI > Dialogs > Insert Time

Glossary Item Box

The insert time dialog allows you to quickly insert the current time at the current caret position.

Format - allows you to type the format of the time.

Predefined Formats - allows you to choose from a number of predefined formats.

Update Automatically - when checked the inserted time will be a field, which means that you'll be able to update its value.


Insert Field Dialog
UI > Dialogs > Insert Field Dialog

Glossary Item Box

The insert field dialog is used to insert a field in the document. Fields are similar to normal text, except that their content can be automatically generated.

Numeric

Numeric fields represent numeric information - for example page or section number, page count etc. The Format / Predefined Formats allow you to choose the formatting applied on the field. On the right you can choose the numeric field to format:

  • Auto Number - automatic number which always increases with each occurrence of field that uses this numeric field.
  • Edit Time - editing time in minutes.
  • File Size - the file size.
  • Number Of Chars - number of chars in the document.
  • Page Count - number of pages in the document.
  • Number Of Words - number of words in the document.
  • Page Number - current page number.
  • Section Number - current section number.
  • Section Page Number - current section page number.
  • Section Page Count - number of pages in the current section.

Date Time

The date time fields represent date / time information related to the document. The Format / Predefined Formats allow you to choose the formatting applied on the field. On the right you can choose the date time field to format:

  • Creation Date - The document creation date.
  • Current Date - The current date.
  • Print Date - The last print date.
  • Saved Date - The last saved date.

String

String fields represent textual information regarding the document.

Format

Allows you to choose how the field will be formatted - possible options are:

  • None - no transformation is applied.
  • Upper Case - all letters become upper case.
  • Lower Case - all letters become lower case.
  • First Upper - first letter becomes capital (upper) all other chars become lower case.
  • Caps -all first word letters become capital, all other letters become lower case.

The fields you can choose from are:

Fields

  • Author - the document author.
  • Comment - comments for the document.
  • FileName - The document file name.
  • Keywords - list of keywords for the document.
  • LastSavedBy - whom the document was last saved by.
  • Subject - the subject of the document.
  • Title - the title of the document.

Greeting Line

Inserts a mail merge greeting line.

Mail Merge Predefined Field

Inserts a mail merge predefined field.

Mail Merge Source Field

Inserts a mail merge source field.


Overview
See Also Send Feedback
Understanding Text Processing > Overview

Glossary Item Box

The topics in this book aim to give you basic understanding of text processing and how it works. This will help you to take advantage of the features of Nevron Text Editor as well as to understand the abilities and limitations of text processors in general.

Nevron Text Editor uses document model which is very similar to HTML with the exception that it extends it so that it can also accommodate features found in text processors that can output printed documents - for example sections, support for header / footers, fields, advanced fillings and borders etc. all of which are missing in HTML.

The main idea behind the Nevron Text Editor document model is that there are two types of elements:

  • Inline elements – inline elements are elements that can participate in line formatting and are layout horizontally. For example text, images, line breaks and widgets are all inline elements.
  • Block elements – block elements are boxes that can either contains inline elements or other boxes. Following are the major box types:

- paragraph - a paragraph box is a box which contains inline elements (text, images, widgets, fields etc.)

- table - the table is a also block which consists of other blocks (cells) that are layout in a grid

- block container - this is a block that contains other blocks (like table or paragraph for example). Examples for such blocks are sections, bullet lists, bullet list items, table cells and group blocks. The text document is also a block container.

The following topics discuss the different types of block and inline elements.

See Also

Inlines
Blocks


Blocks
Understanding Text Processing > Blocks

Glossary Item Box

Block elements are boxes which can contain either inline elements or other block elements.

There is only one block element that can contain inline elements and it is called a Paragraph. All other blocks can contain block elements only. Therefore you can look at each text document as a tree consisting of blocks, where all leaf elements are paragraphs (as they cannot contain other blocks). This is illustrated by the following diagram showing a simple text document:

All blocks in the document tree share a number of common properties.

Show Block Size

Block elements have four sizes:

  • desired size - represents the optimal size of the block's content.
  • preferred size - represents the block size preferred by the user.
  • minimum size - represents the minimum block size.
  • maximum size - represents the maximum block size

The first two sizes (desired and preferred) represent a size preference and the last two (minimum and maximum) represent a size constrain. The editor uses the following procedure when it determines the size of the block:

  • If the user has specified preferred size use it, otherwise use the desired block size.
  • If the block size is bigger than maximum size use maximum size.
  • If the block size is smaller than the minimum size use the minimum size.

You control the preferred, minimum and maximum sizes from the Size Editor, which is common for all blocks.

The desired block size is automatically computed by the block and you cannot specify it.

Show Block Appearance

Each block element as well as table columns support the background fill and border properties. These properties can be modified from the Appearance Editor, which is common for all blocks.

Show Block Indents

Each block has a content area and optional surrounding padding, border, and margin areas. The size of each area is specified by the Margins, Padding and BorderThickess properties. This is illustrated by the following picture:

The margin, border and padding indents are controlled from the Block Editor, which is common for all blocks.


Inlines
See Also Send Feedback
Understanding Text Processing > Inlines

Glossary Item Box

Inline elements appear in paragraphs and are generally layout horizontally line by line. The following sections describe the different types of inline and how you can insert / edit them.

Show Text

Text is the most commonly used inline element. You insert text by simply pointing the caret to the location where you want the text to appear in the paragraph and then typing. Most of the operations related to text formatting are available on the Format Toolbar.

Show Image

The editor supports images in a variety of raster and vector formats (PNG, JPEG, TIFF, BMP, WMF, EMF, GIF etc.). You insert images "Insert" / "Image" menu item.

Show Line Break

A line break is a special kind of inline element that instructs the paragraph to terminate the current line and start a new one. You insert a line break from the Insert Break Dialog dialog. Line breaks are usually hidden when you edit and print text. You can view line breaks by pressing the [image] button on the Standard Toolbar.

Show Page Break

A page break is a special kind of inline element that instructs the paragraph to position the next line on the next page. You insert a page break from the Insert Break Dialog dialog. Page breaks are usually hidden when you edit and print text. You can view line breaks by pressing the [image] button on the Standard Toolbar.

Show Fields

Fields are similar to simple text with the exception that they can be automatically populated by the control. Commonly used fields are the page number and count in the header / footer, the current date/time field etc. You insert fields from the "Insert" / "Insert Field" menu item, which shows the Insert Field Dialog.

Show Hyperlink

Hyperlinks are similar to simple text the exception that they allow you to associate a URL to text, which when clicked in a browser navigates the browser to a different URL. Hyperlinks can also be used as bookmarks. You create a hyperlink or a bookmark from the "Insert" / "Insert Hyperlink" menu item, which shows the Insert Hyperlink Dialog.

See Also

Blocks


Block Layout
See Also Send Feedback
Understanding Text Processing > Block Layout

Glossary Item Box

This topic discusses a few properties that allow you to position blocks. Note that some blocks cannot be explicitly positioned and are said to have an intrinsic position - those blocks are the document, headers, footers, table rows and table cells. The blocks for which the properties discussed in this topic apply are paragraphs, tables, group blocks, bullet lists and bullet list items. The layout properties are controlled from the Layout Editor block editor, which is common for all blocks.

Show Horizontal Anchor and Vertical Anchor

Each block has two settings called Horizontal Anchor and Vertical Anchor. They specify how the block is posited relative to other blocks or pages in the document.

Horizontal Anchor

The horizontal anchor controls how the block is positioned horizontally by defining a range of x coordinates which the block uses to position itself. The following table lists the available options:

Horizontal Anchor | Description
Flow | Block uses normal flow. In this case the block is positioned horizontally relative to the containing block x range.
Page | In this mode the block is positioned relatively to the page that contains the block.
Ancestor | In this mode the block is positioned relatively to the first ancestor block that has the Allow Anchored Descendant Blocks setting set to true. In the absence of such block the block is positioned relatively to its root block.

Vertical Anchor

Similarly the vertical anchor defines a range of y values relative to which the block is positioned. It is controlled from the Vertical Anchor setting:

Vertical Anchor | Description
Flow | Block uses normal flow. In this case the block is positioned vertically relative to the first previous block bottom with Flow vertical anchor.
Page | In this mode the block is positioned relatively to the page that contains the block.
Ancestor | In this mode the block is positioned relatively to the first ancestor block top that has the Allow Anchored Descendant Blocks property set to true. In the absence of such block the block is positioned relatively to its root block.

Show Horizontal and Vertical Block Alignment

When you define the reference x and y ranges against which the block is positioned you can further specify how the block is aligned relative to those ranges. This is achieved from the HorizontalBlockAlignment and VerticalBlockAlignment properties.

Horizontal Alignment

The horizontal alignment is controlled from the Horizontal Alignment setting:

Horizontal Alignment | Description
Left | The block is aligned to the left of the reference x range
Center | The block is centered relative to the reference x range
Right | The block is aligned to the right of the reference x range

Vertical Alignment

The vertical alignment is controlled from the Vertical Alignment setting:

Vertical Alignment | Description
Top | The block is aligned to the top of the reference y range
Center | The block is centered relative to the reference y range
Bottom | The block is aligned to the bottom of the reference y range

Vertical block alignment is ignored in case the Vertical Anchor is set to Flow (which is the default).

Show Horizontal and Vertical Offset

After the block position is determined from the Anchor / Alignment properties you can further apply an additional offset in the horizontal and vertical direction using the XOffset and YOffset settings.

Show Wrap Mode

The Wrap Mode setting of the block allows you to specify whether the block will be removed from the flow and whether it will represent an obstacle for inline content for other blocks that have inline content, which resides in the area occupied by the block. The following table lists the available options:

Wrap Mode | Description
None | The block does not use wrapping.
Before | Block allows inline content to flow only before its left edge. Block is removed from the flow.
After | Block allows inline content to flow only after its right edge. Block is removed from the flow.
Parallel | Block allows inline content to flow before its left edge and after its right edge. Block is removed from the flow.
Through | Block allows inline content to flow inside its area. Block is removed from the flow.

Show Paging Control

All blocks have three settings that allow you to control how the block is positioned relative to pages. These settings can be modified from the Layout Editor.

Avoid Page Breaks Inside

This setting instructs the layout to try to position the block on a new page if its original position will result in the block being split by a page break. The layout will position the block on the next page only if the block will fit there.

Page Break After

This property instructs the layout to insert a page break after the block.

Page Break Before

This property instructs the layout to insert a page break before the block so that it always starts on a new page.

See Also

Paragraphs


Sections
Understanding Text Processing > Sections

Glossary Item Box

Each text document is divided into sections. Sections are used to provide the information needed when the editor uses paging - this is the case when you print, export to PDF or view the text document in Print layout mode.

Each section has information about the page size, page margins and padding, page border, header and footer etc. for the pages that accommodate the text content in it. For example of common use of sections consider the chapters in a book. Each chapter has a name and the pages that span this chapter usually have a header and footer that mention the chapter name. Different books have chapters that can share a common page or start from a new page all total.

Show Creating a Section

You create a section by inserting a section break inside the text document. For more information take a look at the Create a Section topic.

Show Page Size and Orientation

The section page size and orientation are controlled from the "File" / "Page" menu item. It shows the Page Editor that allows you to modify the settings of the pages that are produced by the current section.

Show Headers And Footers

Each section can have up to four different headers and footers. This arises from the common requirement to have the ability to specify different header / footer depending on whether the page is the first page generated by a section and whether the page is even or odd in the document. Those settings are controlled from the Page Editor.

In order to edit the header / footer of the currently edited section you need to press the [image] (section header) or [image] (section footer) button on the toolbar or double click on the page header or footer when the editor uses print layout. When you need to continue to edit the document simply click on the [image] (section body) button on the toolbar or double click outside the edited header / footer.

Header and Footers automatically update fields that contain paging information such as Page Number, Page Count and Section Page Number.

Show Section Break Types

Each section can specify how it is positioned relative to the previous page. There are several options:

Continuous - the section follows immediately the previous section if it has the same page size and column count.

Column Break - the section starts from a new column (or a new page if the

Next Page - the section starts from the next page.


Paragraphs
Understanding Text Processing > Paragraphs

Glossary Item Box

Paragraph blocks consist of inline elements, which are layout horizontally line by line. Some inline elements represent content while others represent a formatting instruction. The following sections discuss the options in the Paragraph Editor.

Show Horizontal Alignment

The paragraph alignment is specified from the Horizontal Alignment settings of the Paragraph Editor or by pressing one of the paragraph alignment buttons on the format toolbar. It supports the following alignments:

Value | Description
Left | Paragraph content is left aligned ( [image] button on the Format Toolbar).
Center | Paragraph content is center aligned ( [image] button on the Format Toolbar).
Right | Paragraph content is right aligned ( [image] button on the Format Toolbar).
Justify | Paragraph content is justified ( [image] on the Format Toolbar). Justification will increase the spacing between words so that begin and end words on each line lie on the paragraph content bounds.

Show First Line Indent and Hanging Indent

The paragraph supports two settings called First Line Indent and Hanging Indent that allow you to modify the initial position of the first line of text and subsequent lines of text respectively. The following image shows a paragraph with negative first line indent and positive hanging indent.

Show Line Height

Each line in a paragraph is characterized by three metrics – Ascent, Descent and Line Gap. They are automatically computed based on the fonts and their sizes that appear on this line. The following picture shows how these three line parameters work together to determine the offset to the next line position:

In some cases you may want to increase or decrease the spacing between lines in a paragraph. This is achieved from the Line Height Mode setting. The following table lists the available options:

Value | Description
At Least | The line height is computed as the maximum value between the automatic line height and the LineHeight property of the paragraph.
Exactly | The line height is exactly the LineHeight property of the paragraph.
Multiple | The line height is computed as a multiple of automatic line height. The multiplication factor is controlled from the Line Height Factor setting of the paragraph.

Show Tab Stops

The tab stop concept is borrowed from typewriters where when the operator presses a tab key the carriage is automatically moved to a predefined position. Word processors extend this concept and allow tab stops to alter the flow of text relative to the tab stop.

A tab stop is a preference where the current line position should be moved when it encounters a tab. You can add an explicit tab stop to a paragraph by double clicking on the horizontal ruler. In the absence of specific tab stops the editor will create tab stops based on the Default Tab Width setting of the document. The following picture shows text that flows trough four different tab stops with Left, Right, Center and Decimal alignment respectively:

Show Widow / Orphan Control

When the editor uses paging it is possible that some paragraphs end up having only a single line in a page or column. A paragraph ending line that falls at the beginning of the next page or column is called a widow and a paragraph first line that appears by itself at the bottom of a page/column is called an orphan. Widow and orphan lines generally decrease the readability of the document when it is paginated. By default the paragraph will not allow widow and orphan lines in paged view. Widow / orphan control is specified trough the Layout Editor.


Tables
Understanding Text Processing > Tables

Glossary Item Box

Tables allow you to arrange data grouped into rows and columns, which form a grid of table cells. You can create a table in two ways:

1. Press the [image] button on the Table Toolbar.

2. Select the "Table" / "Insert Table..." menu item, which will show the Insert Table Dialog.

Show Table Cell Spacing

Each table can work in two models - with collapsed and expanded table cell margins. The following two pictures show this:

Table With Collapsed Cell Margins and Spacing

Table With Expanded Cell Margins and applied Horizontal Spacing and Vertical Spacing

Notice how the second table "Description" cell is larger from value - this is because this cell has no applied margins and uses only the specified horizontal / vertical spacing between cells. The mode in which the table operates is specified from the Allow Spacing Between Cells check in Table Editor / Layout tab. When checked the editor will regard the values of the Table Cell Horizontal Spacing and Table Cell Vertical Spacing.

The following table shows how the table layout acts when Allow Spacing Between Cells is checked or not:

AllowSpacingBetweenCells | Description
Checked | The margins of each cell are regarded. Table Cell Horizontal Spacing specifies an additional distance to be added between horizontally adjacent cells or from the left and right table edges. Similarly Table Cell Vertical Spacing specifies an additional distance to be added between vertically adjacent cells or from the top and bottom table edges.
Unchecked

The values of cell margins, Table Cell Horizontal Spacing and Table Cell Vertical Spacing are discarded. All cells are layout adjacent to each other. In case two adjacent cells have borders the following rules apply:

1. If the border width of one of the cells is wider then this border is drawn and the other one is ignored.

2. If the border widths are equal then left / top border sides take priority over right / bottom cell sides.

The same rules apply for cells that have a common border side with the table.

Show Master Row and Column Cells

By default when you insert cells inside table rows they will occupy only one cell in the table grid. In many cases you may want to have cells that span several rows or columns.

This can be achieved in several ways:

Cell Merging from the Toolbar

Select the table cell you want to make row or column master cell. Press the [image] or [image] button on the toolbar. This will make the cell cover the right or bottom adjacent cell(s).

Cell Splitting from the Toolbar

Select the table cell you want to split and press the [image] or [image] button on the toolbar. This will uncover the right or bottom adjacent cells.

Modifying the Col Span and Row Span

You can also modify each table cell column or row span from the Col Span and Row Span settings on the Table Cell Editor.


Opening a Document
How To > Opening a Document

Glossary Item Box

Nevron Text Editor can open documents in one of the following formats - DOCX, RTF, TXT, HTML, NDX (NTE native XML Format) and NDB (NTE native binary format).

You can open documents in two ways:

Show Opening a Document from the Menu Bar

From the menu bar select "File" and then "Open". This will show the "Open File" dialog:

From this dialog you can choose a file location and select the file you wish to open.

Show Opening a Document from the Standard Toolbar

You can also invoke the "Open" dialog by pressing the [image] icon.


Saving a Document
How To > Saving a Document

Glossary Item Box

When you open Nevron Text Editor it will create a new blank document which you can instantly start to edit. The changes you insert in the document however will not be saved to the disk unless you explicitly save the document.

It is a good practice to save your documents frequently as you'll loose all unsaved work in case the computer crashes.

When you want to save this document you can do it in two ways:

Saving a Document from the Menu Bar

From the "File" menu group select "Save As...". The "Save As" dialog will appear:

It allows you to pick a location where you want to save the document as well as a list of formats to choose from. For example you can type:

c:\firstdocx.docx

in the "File name" field and the editor will save the new document in root folder of c drive in docx format.

Show Saving a Document from the Standard Toolbar

You can also save the currently edited document by pressing the [image] button from the Standard toolbar.


Create a Bullet List
How To > Create a Bullet List

Glossary Item Box

To create a bullet list follow these steps:

1. Select one or more paragraphs.

2. Press one of the bullet icons the "Format Toolbar":

- inserts a standard decimal bullet for the selected paragraphs - like 1, 2, 3 etc.

- inserts a standard lower alpha bullet list for the selected paragraphs - like a, b, c etc.

- inserts a standard lower roman bullet list for the selected paragraphs - like i, ii, iii etc.

If you want to touch more advanced properties of the bullet list you ca also click on the "Bullets and Numbering" icon [image] on the "Format Toolbar". This toolbar command will show the "Bullets and Numbering Editor":

It allows you to quickly choose a predefined bullet list type.


Create a Table
How To > Create a Table

Glossary Item Box

You can insert tables almost everywhere in the document:

- inside sections

- inside other tables

- in any root element (header / footer).

You can insert a table using the menu bar or from the toolbar.

Show Inserting a Table from the Menu Bar

From the "Table" menu Item select "Insert Table". The behavior of the command will differ depending on whether you selected some text or not.

1. If you don't have any selection the "Insert Table Settings Editor" will appear:

From this editor you can choose how table columns are sizes as well as the table size. Press Ok if you want to insert the new table at the current caret position or Cancel if you want to abort the operation.

2. If you have selected a range the control will automatically convert this range to a table.

Show Inserting a Table From The Table Toolbar

You can insert a new table by simply clicking on the [image] icon on the toolbar in which has the same behavior as "Insert Table" command described above, but is much faster to perform wiht the mouse. You can also click on the drop down next to the table icon, which allows you to quickly specify table dimensions and insert a table.


Create a Section
How To > Create a Section

Glossary Item Box

You create a new section in the document by inserting a section break at the current caret position. To do this follow these steps:

1. From the "Insert" menu bar command choose "Insert Break". The insert break editor will appear:

When you choose one of the Section options and press Ok the current section will be split in two and the newly created section will have a break type depending on the one you specified with from the "Insert Break Editor".


Insert Image
How To > Insert Image

Glossary Item Box

Inserting an image is done by selecting the "Insert Image" menu command from the "Insert" menu group. This will show an open file dialog that allows you to select an image to be inserted in the currently edited paragraphs.


Help About

Glossary Item Box

Add... - allows you to add a new license key.

Delete - deletes the currently selected license key.

Copy Key - copies the currently selected license key to clipboard.

Copy Machine Id - copies the current machine Id to the clipboard.

Clear All - clears all license keys from the list.

Close - closes the about dialog.


Insert Hyperlink Dialog

Glossary Item Box

Inserts a hyperlink in the document.

The Type combo allows you to pick the type of hyperlink:

Url Hyperlink

The URL hyperlink is used primarily when you have to export the contents of the document to HTML. It has the following settings:

Target - the target is used to specify the browser window / frame where the hyperlink should be loaded. Possible options are:

  • New Window - the browser opens the url in a new window.
  • Same Window Parent Frame - the browser opens the url in the same window but
  • Same Window Same Frame - the
  • Same Window Top Frame -

  • Bookmark -


Insert Table Dialog

Glossary Item Box

The insert table dialog is used to insert a new table in the text document.

Column Size

The controls in this group specify how the table columns are sized.

Auto Size -